define("mod_interactivevideo/displaycontent",["exports","jquery","core/fragment","core/event_dispatcher"],(function(_exports,_jquery,_fragment,_event_dispatcher){function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}
/**
   * Display content module
   *
   * @module     mod_interactivevideo/displaycontent
   * @copyright  2024 Sokunthearith Makara <sokunthearithmakara@gmail.com>
   * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.renderContent=_exports.formatText=_exports.defaultDisplayContent=void 0,_jquery=_interopRequireDefault(_jquery),_fragment=_interopRequireDefault(_fragment);_exports.renderContent=async function(annotation){let format=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"html";const annotationArgs={...annotation,contextid:annotation.contextid};let fragment;try{fragment=await _fragment.default.loadFragment("mod_interactivevideo","getcontent",annotation.contextid,annotationArgs)}catch(error){throw new Error(JSON.stringify(error))}return"html"===format?fragment:JSON.parse(fragment)};_exports.formatText=async function(text){let shorttext=arguments.length>1&&void 0!==arguments[1]&&arguments[1];try{return await _jquery.default.ajax({url:M.cfg.wwwroot+"/mod/interactivevideo/ajax.php",type:"POST",dataType:"text",data:{text:text,contextid:M.cfg.contextid,action:"format_text",sesskey:M.cfg.sesskey,shorttext:shorttext}})}catch(error){throw new Error("Failed to format text")}};_exports.defaultDisplayContent=async function(annotation,player){const isDarkMode=(0,_jquery.default)("body").hasClass("darkmode");new Audio(M.cfg.wwwroot+"/mod/interactivevideo/sounds/pop.mp3").play();let displayoptions=annotation.displayoptions;(0,_jquery.default)("body").hasClass("mobiletheme")&&"inline"==displayoptions&&(displayoptions="popup"),(0,_jquery.default)("body").hasClass("embed-mode")&&(displayoptions="inline"),(0,_jquery.default)("#wrapper").hasClass("fullscreen")&&(displayoptions="inline");let completionbutton="";if(1==annotation.hascompletion&&annotation.xp>0){const earned=annotation.earned==annotation.xp?annotation.earned:annotation.earned+"/"+annotation.xp;completionbutton+='<span class="badge '.concat(annotation.completed?"alert-success":"badge-secondary",' mr-2">\n        ').concat(annotation.completed?earned:Number(annotation.xp)," XP</span>")}1==annotation.hascompletion&&(annotation.completed?completionbutton+='<button id="completiontoggle" class="btn mark-undone btn-success btn-sm border-0"\n             data-id="'.concat(annotation.id,'"><i class="bi bi-check2"></i>\n             <span class="ml-2 d-none d-sm-block">\n             ').concat(M.util.get_string("completionmarkincomplete","mod_interactivevideo"),"</span></button>"):completionbutton+='<button  id="completiontoggle" class="btn mark-done btn-secondary btn-sm border-0"\n             data-id="'.concat(annotation.id,'"><i class="bi bi-circle"></i>\n             <span class="ml-2 d-none d-sm-block">\n             ').concat(M.util.get_string("completionmarkcomplete","mod_interactivevideo"),"</span></button>")),(0,_jquery.default)("body").hasClass("page-interactions")?completionbutton="":completionbutton+='<button class="btn btn-secondary btn-sm ml-2 rotatez-360 border-0"\n         data-id="'.concat(annotation.id,'" id="refresh">\n        <i class="bi bi-arrow-repeat"></i></button>');let messageTitle='<h5 class="modal-title text-truncate mb-0">\n    <i class="'.concat(JSON.parse(annotation.prop).icon,' mr-2 d-none d-md-inline"></i>').concat(annotation.formattedtitle,'</h5>\n                            <div class="btns d-flex align-items-center">\n                            ').concat(completionbutton,'\n                            <button class="btn mx-2 p-0 border-0" id="close-').concat(annotation.id,'" aria-label="Close">\n                            <i class="bi bi-x-lg fa-fw fs-25px"></i>\n                            </button>\n                            </div>');(0,_jquery.default)("#annotation-modal").modal("hide"),(0,_jquery.default)(document).off("click","#close-".concat(annotation.id)).on("click","#close-".concat(annotation.id),(async function(e){e.preventDefault(),(0,_jquery.default)(this).closest("#annotation-modal").modal("hide");const targetMessage=(0,_jquery.default)(this).closest("#message");targetMessage.addClass("bottom-0"),setTimeout((function(){targetMessage.remove(),(0,_event_dispatcher.dispatchEvent)("interactionclose",{annotation:annotation})}),100),(0,_jquery.default)("body").hasClass("page-interactions")||player.end!=await player.getCurrentTime()&&player.play()}));switch(displayoptions){case"popup":((annotation,messageTitle)=>{let modal='<div class="modal fade '.concat((0,_jquery.default)("body").hasClass("iframe")?"modal-fullscreen":"",'"\n             id="annotation-modal" role="dialog" aria-labelledby="annotation-modal"\n         aria-hidden="true" data-backdrop="static" data-keyboard="false">\n         <div id="message" data-id="').concat(annotation.id,'" data-placement="popup"\n          class="modal-dialog modal-xl modal-dialog-centered modal-dialog-scrollable ').concat(annotation.type,'" role="document">\n                <div class="modal-content rounded-lg">\n                    <div class="modal-header d-flex align-items-center shadow-sm pr-0" id="title">\n                        ').concat(messageTitle,'\n                    </div>\n                    <div class="modal-body" id="content"></div>\n                    </div>\n                </div>\n        </div>');(0,_jquery.default)("#wrapper").append(modal),(0,_jquery.default)("#annotation-modal").modal("show"),(0,_jquery.default)("#annotation-modal").on("hide.bs.modal",(function(){(0,_jquery.default)("#annotation-modal").remove()})),(0,_jquery.default)("#annotation-modal").on("shown.bs.modal",(function(){return(0,_jquery.default)("#annotation-modal .modal-body").fadeIn(300),Promise.resolve()}))})(annotation,messageTitle);break;case"inline":((annotation,messageTitle)=>{(0,_jquery.default)("#video-wrapper").append('<div id="message" style="z-index:105;top:100%" data-placement="inline"\n         data-id="'.concat(annotation.id,'" class="').concat(annotation.type,'">\n        <div id="title" class="modal-header shadow-sm pr-0">').concat(messageTitle,'</div><div class="modal-body" id="content">\n        </div></div>')),(0,_jquery.default)("#message[data-id='".concat(annotation.id,"']")).animate({top:"0"},300,"linear",(function(){return Promise.resolve()}))})(annotation,messageTitle);break;case"bottom":((annotation,messageTitle,isDarkMode)=>{(0,_jquery.default)("#annotation-content").empty(),(0,_jquery.default)("#annotation-content").append('<div id="message" class="fade show mt-3 '.concat(isDarkMode?"":"border","\n                 rounded-lg bg-white ").concat(annotation.type,'" data-placement="bottom" data-id="').concat(annotation.id,"\">\n                 <div id='title' class='modal-header shadow-sm pr-0'>").concat(messageTitle,'</div>\n                <div class="modal-body" id="content"></div></div>')),(0,_jquery.default)("html, body, #page.drawers, .modal-body").animate({scrollTop:(0,_jquery.default)("#annotation-content").offset().top},1e3,"swing",(function(){return Promise.resolve()}))})(annotation,messageTitle,isDarkMode)}}}));

//# sourceMappingURL=displaycontent.min.js.map