/**
 * Interactive Video module form
 *
 * @module     mod_interactivevideo/mod_form
 * @copyright  2024 Sokunthearith Makara <sokunthearithmakara@gmail.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
define("mod_interactivevideo/mod_form",["jquery","core/notification","core_form/modalform","core/str"],(function($,notification,ModalForm,str){return{init:function(id,usercontextid,videotypes){let totaltime,player,videowrapper=$("#video-wrapper"),endinput=$("input[name=end]"),startinput=$("input[name=start]"),startassistinput=$("input[name=startassist]"),endassistinput=$("input[name=endassist]"),totaltimeinput=$("input[name=totaltime]"),videourlinput=$("input[name=videourl]"),sourceinput=$("input[name=source]"),videoinput=$("input[name=video]"),uploadfield=$("#fitem_id_upload"),deletefield=$("#fitem_id_delete"),videofile=$("input[name=videofile]"),videotype=$("input[name=type]"),posterimage=$("input[name=posterimage]");const convertSecondsToHMS=s=>{let hours=Math.floor(s/3600),minutes=Math.floor((s-3600*hours)/60),seconds=s-3600*hours-60*minutes;seconds=seconds.toFixed(2);let result=hours<10?"0"+hours:hours;return result+=":"+(minutes<10?"0"+minutes:minutes),result+=":"+(seconds<10?"0"+seconds:seconds),result};$(document).on("iv:playerReady",(function(){!async function(){videowrapper.show();let ratio=player.aspectratio;ratio<1&&(ratio=1),$("#video-wrapper").css("padding-bottom",1/ratio*100+"%"),""==$('[name="name"]').val()&&$('[name="name"]').val(player.title);const duration=await player.getDuration();totaltime=Number(duration.toFixed(2)),totaltimeinput.val(totaltime),Number(endinput.val())>0&&Number(endinput.val())>totaltime&&(endinput.val(totaltime),endassistinput.val(convertSecondsToHMS(totaltime))),Number(startinput.val())>0&&Number(startinput.val())>totaltime&&(startinput.val(0),startassistinput.val("00:00:00.00")),"00:00:00.00"!=endassistinput.val()&&""!=endassistinput.val()||(endassistinput.val(convertSecondsToHMS(totaltime)),endinput.val(totaltime)),$("#videototaltime").text("<= "+convertSecondsToHMS(totaltime)),posterimage.val(player.posterImage)}()})),$(document).on("iv:playerError",(async function(){let strings=await str.get_strings([{key:"thereisanissueloadingvideo",component:"mod_interactivevideo"}]);videourlinput.addClass("is-invalid"),videourlinput.after('<div class="form-control-feedback invalid-feedback d-inline">'+strings[0]+"</div>")}));videourlinput.on("input",(async function(){videourlinput.removeClass("is-invalid"),videourlinput.next(".form-control-feedback").remove();let currenttype=videotype.val();videotype.val(""),player&&player.destroy();let url=$(this).val().trim();if(""==url)return void videowrapper.hide();if(videotypes.includes("yt")||"yt"==currenttype){if(new RegExp("(?:https?:\\/\\/)?(?:www\\.)?(?:youtube\\.com|youtu\\.be|youtube-nocookie\\.com)(?:\\/embed\\/|\\/watch\\?v=|\\/)([^\\/]+)","g").exec(url))return videowrapper.show(),videowrapper.html('<div id="player" class="w-100"></div>'),videotype.val("yt"),void require(["mod_interactivevideo/player/yt"],(function(VP){player=new VP(url,0,null,{showControls:!0,preload:!0})}))}if(videotypes.includes("vimeo")||"vimeo"==currenttype){let match=/(?:https?:\/\/)?(?:www\.)?(?:vimeo\.com)\/(?:channels\/[A-Za-z0-9]+\/|)([^\/]+)/g.exec(url),vid=match?match[1]:null;if(vid)return url="https://vimeo.com/"+vid,videourlinput.val(url),videowrapper.html('<div id="player" class="w-100"></div>'),videotype.val("vimeo"),void require(["mod_interactivevideo/player/vimeo"],(function(VP){player=new VP(url,0,null,{showControls:!0})}))}if(videotypes.includes("dailymotion")||"dailymotion"==currenttype){if(/(?:https?:\/\/)?(?:www\.)?(?:dai\.ly|dailymotion\.com)\/(?:embed\/video\/|video\/|)([^\/]+)/g.exec(url))return videowrapper.show(),videowrapper.html('<div id="player" class="w-100"></div>'),videotype.val("dailymotion"),void require(["mod_interactivevideo/player/dailymotion"],(function(VP){player=new VP(url,0,null,{showControls:!0,preload:!0})}))}if(videotypes.includes("wistia")||"wistia"==currenttype){let match=/(?:https?:\/\/)?(?:www\.)?(?:wistia\.com)\/medias\/([^/]+)/g.exec(url);if(match?match[1]:null)return videowrapper.show(),videotype.val("wistia"),void require(["mod_interactivevideo/player/wistia"],(function(VP){player=new VP(url,0,null,{showControls:!0})}))}if((videotypes.includes("videolink")||"html5video"==currenttype)&&await(url=>new Promise((resolve=>{document.querySelector("video")&&document.querySelector("video").remove();let video=document.createElement("video");video.src=url,video.addEventListener("canplay",(function(){resolve(!0)})),video.addEventListener("error",(function(){resolve(!1)}))})))(url))return videowrapper.html('<video id="player" class="w-100"></video>'),videotype.val("html5video"),void require(["mod_interactivevideo/player/html5video"],(function(VP){player=new VP(url,0,null,{showControls:!0})}));const strings=await str.get_strings([{key:"invalidvideourl",component:"mod_interactivevideo"},{key:"error",component:"core"}]);notification.alert(strings[1],strings[0]),videourlinput.val("").addClass("is-invalid"),videowrapper.hide()})),startassistinput.on("change blur",(async function(){if(startassistinput.removeClass("is-invalid"),startassistinput.next(".form-control-feedback").remove(),""==startassistinput.val())return;let strings=await str.get_strings([{key:"starttimelesstotaltime",component:"mod_interactivevideo"},{key:"starttimelessthanendtime",component:"mod_interactivevideo"},{key:"invalidtimestampformat",component:"mod_interactivevideo"}]);const parts=startassistinput.val().split(":");let time=3600*Number(parts[0])+60*Number(parts[1])+Number(parts[2]);startinput.val(time),Number(startinput.val())>totaltime?(startassistinput.addClass("is-invalid"),startassistinput.after('<div class="form-control-feedback invalid-feedback d-inline">'+strings[0]+"</div>"),startassistinput.val(convertSecondsToHMS(totaltime))):Number(endinput.val())&&0!=Number(endinput.val())&&Number(startinput.val())>Number(endinput.val())?(startassistinput.addClass("is-invalid"),startassistinput.after('<div class="form-control-feedback invalid-feedback d-inline">'+strings[1]+"</div>"),startassistinput.val(convertSecondsToHMS(endinput.val()))):Number(startinput.val())>=Number(endinput.val())&&endassistinput.val(convertSecondsToHMS(0))})),endassistinput.on("change blur",(async function(){if(endassistinput.removeClass("is-invalid"),endassistinput.next(".form-control-feedback").remove(),""==endassistinput.val())return;const strings=await str.get_strings([{key:"endtimelesstotaltime",component:"mod_interactivevideo"},{key:"endtimegreaterstarttime",component:"mod_interactivevideo"},{key:"invalidtimestampformat",component:"mod_interactivevideo"}]),parts=endassistinput.val().split(":"),time=3600*Number(parts[0])+60*Number(parts[1])+Number(parts[2]);endinput.val(time),Number(endinput.val())>totaltime?(endassistinput.addClass("is-invalid"),endassistinput.after('<div class="form-control-feedback invalid-feedback d-inline">'+strings[0]+"</div>"),endassistinput.val(convertSecondsToHMS(totaltime))):Number(startinput.val())&&Number(endinput.val())<Number(startinput.val())?(endassistinput.addClass("is-invalid"),endassistinput.after('<div class="form-control-feedback invalid-feedback d-inline">'+strings[1]+"</div>"),endassistinput.val(convertSecondsToHMS(startinput.val()))):Number(startinput.val())>=Number(endinput.val())&&endassistinput.val(convertSecondsToHMS(totaltime))})),$(document).on("click","#id_upload",(async function(){const data={contextid:M.cfg.contextid,id:id,usercontextid:usercontextid};let string=await str.get_string("uploadvideo","mod_interactivevideo");const form=new ModalForm({modalConfig:{title:string},formClass:"mod_interactivevideo\\form\\video_upload_form",args:data});form.show(),form.addEventListener(form.events.FORM_SUBMITTED,(async e=>{const url=e.detail.url;let name=e.detail.name;""==$('[name="name"]').val()&&$('[name="name"]').val(name.split(".").slice(0,-1).join(".")),videowrapper.html('<video id="player" class="w-100"></video>'),require(["mod_interactivevideo/player/html5video"],(function(VP){player=new VP(url,0,null,!0)})),videoinput.val(e.detail.video),uploadfield.hide(),deletefield.show()}))})),$(document).on("change","#id_source",(function(){"file"==$(this).val()?""==videoinput.val()||"0"==videoinput.val()?(uploadfield.show(),deletefield.hide()):(uploadfield.hide(),deletefield.show()):(uploadfield.hide(),deletefield.hide())})),$(document).on("click","#id_delete",(async function(){const strings=await str.get_strings([{key:"deletevideo",component:"mod_interactivevideo"},{key:"deletevideoconfirm",component:"mod_interactivevideo"},{key:"delete",component:"mod_interactivevideo"}]);try{notification.deleteCancelPromise(strings[0],strings[1],strings[2]).then((()=>{videoinput.val(""),videofile.val(""),videowrapper.empty().hide(),uploadfield.show(),deletefield.hide()})).catch((()=>{}))}catch{notification.saveCancel(strings[0],strings[1],strings[2],(function(){videoinput.val(""),videofile.val(""),videowrapper.empty().hide(),uploadfield.show(),deletefield.hide()}))}})),$((function(){if(uploadfield.hide(),deletefield.hide(),""!=videourlinput.val()&&videourlinput.trigger("input"),"url"!=sourceinput.val())if(""!=videoinput.val()&&"0"!=videoinput.val()){uploadfield.hide(),deletefield.show();const url=videofile.val();videowrapper.html('<video id="player" class="w-100"></video>'),require(["mod_interactivevideo/player/html5video"],(function(VP){player=new VP(url,0,null,!0)}))}else uploadfield.show(),deletefield.hide();"0"==$("[name=completionunlocked]").val()&&($("#warning").removeClass("d-none"),$("[name=videourl], [name=startassist], [name=endassist]").prop("readonly","true"),$("#fitem_id_source, #fitem_id_delete, #fitem_id_upload").hide(),$("#id_upload").prop("disabled","true"),$("#id_delete").prop("disabled","true")),$("#background-loading").fadeOut(300)})),startassistinput.val(convertSecondsToHMS(startinput.val())),endassistinput.val(convertSecondsToHMS(endinput.val()))}}}));

//# sourceMappingURL=mod_form.min.js.map